Subject: Interview - Yuria Morita/EPOS/JP/AU
From: "Yuria Morita" <[email-masked]>
To: Pritish Nandi (LSM) <[email-masked]>, Saurabh Dadu <[email-masked]>
Date: Wed, 9 Mar 2022 01:46:15 -0600 (CST)

Hi Saurabh, I am sorry to tell you this last minute, but I would like to cancel the interview. I appreciate the opportunity and I wish you and your team the best of luck. Kind Regards, Yuria

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=&lt;[email-masked]&gt;&hl=en_AU&co=AU>

By replying or using an indeedemail.com email address, you agree that this conversation will be processed and analysed according to the Indeed Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=AU#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=AU#privacy> and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=AU#tos>.